import request from "@/utils/request";
// 获得送货通知单列表
export function getDeliveryNoticePage(query) {
    return request({
        url: "/rtkwms/delivery-notice/page",
        method: "get",
        params: query,
    });
}

// 获得送货条码明细列表
export function getSupplierPrintData(query) {
    return request({
        url: "/rtkwms/label-master-supplier/printData",
        method: "get",
        params: query,
    });
}

// 获得送货通知单表头
export function getSupplierMasterData(query) {
    return request({
        url: "/rtkwms/delivery-notice-master/page",
        method: "get",
        params: query,
    });
}

// 保存供应商附件
export function saveSupplierFile(data) {
    return request({
        url: "/rtkwms/delivery-notice-master/saveFile",
        method: "put",
        data: data,
    });
}

// 查看附件-供应商
export function getSupplierFile(query) {
    return request({
        url: "/rtkwms/delivery-notice-master/getFile",
        method: "get",
        params: query,
    });
}

// 删除送货通知单
export function deleteDeliveryNotice(id) {
    return request({
        url: "/rtkwms/delivery-notice/delete?id=" + id,
        method: "delete",
    });
}